# class Gio::SettingsSchemaSource

### Public Instance Methods

list_schemas(recursive_or_options=nil) click to toggle source

    # File lib/gio2/settings-schema-source.rb, line 21
    def list_schemas(recursive_or_options=nil)
      case recursive_or_options
      when true, false
        recursive = recursive_or_options
      else
        options = recursive_or_options || {}
        recursive = options[:recursive]
        recursive = true if recursive.nil?
      end

      list_schemas_raw(recursive)
    end